import {Widget} from "../../Widget";
import {CssStyle} from "../../../models/CssStyle";

export class ImageWidget extends Widget {
    src?: string;
    width?: string;
    height?: string;
    alt?: string;
    style?: CssStyle;

    public constructor(init?: Partial<ImageWidget>) {
        super();
        Object.assign(this, init);
        this.type = "IMAGE";
    }
}